Nautilus: too easy to move files/folders to Trash (single key press of "Delete")

Reported by Andrei Drynov on 2007-03-25
196
This bug affects 21 people
Affects Status Importance Assigned to Milestone
Ayatana Design
Undecided
Unassigned
Nautilus
Won't Fix
Wishlist
nautilus (Ubuntu)
Low
Unassigned
Declined for Intrepid by Sebastien Bacher
Nominated for Karmic by Martin Marek

Bug Description

SUMMARY

If a file or a folder is selected in Nautilus and you accidentally press Delete button, they are moved to the Trash. NO warning is issued (even though in Nautilus Preferences "Ask before emptying the Trash or deleting files" is selected )

In comment #39, Holger Berndt notes that the present behaviour is intention. Moving an item to the Trash is a revertible action, whereas emptying the Trash is not revertible.

However, this can be very annoying and dangerous bug to a common user - a user may have pressed "Delete" to move very important data to the Trash, and then, without realising the previous action have cleaned the Trash, so permanently loosing that information despite there being a two-step (and partially revertible) process.

NOTES

DistroRelease: Ubuntu 7.04 and up

POSSIBLE SOLUTIONS

In comment #38, David Siegel notes that the options would be ripe for some proper user testing research and design.

a. In comment #92 Matthew Paul Thomas notes that a better solution to the problem of it being too easy to delete (move to Trash) files/folders with a single keypress would be to change the keypress to be a combo. For example the combo could be Ctrl-Delete.

b. In comment #107 (and also earlier in the thread), Giorgio Gilestro supplies a patch to add another configuration key ('/apps/nautilus/preferences/confirm_delete') and accompanying user interface components to make single key deletion require a dialogue box pass-through. Some other environments, such as Konquerer, ask the user if they want to delete a file or a folder.

c. In comment #28 Wouter Stomp, notes that applications (such as Gmail) allow the operation, but notify the user with a "yellow box" at the top and an "undo"/"cancel" option.

d. Perhaps you have another possible solution, that deals with the core problem without impeding the workflow of others.

Cesare Tirabassi (norsetto) wrote :

There is a discussion in gnome.org about this issue.
I'm personally in favour of not asking confirmation but warning the user (for instance through the status bar message).

Changed in nautilus:
status: Unknown → Unconfirmed
Changed in nautilus:
assignee: nobody → desktop-bugs
importance: Undecided → Low
status: Unconfirmed → Confirmed
wagnerluis1982 (wagnerluis1982) wrote :

I am in favour to fix this. Or at least to have the option to choose if the user want or no want the warning.

mugroko (mugroko2000) wrote :

Things get even worse if you are working on a ntfs partition using ntfs-3g.
In this case, the files are completely removed without asking, no trash involved!

Szabolcs Szakacsits (szaka) wrote :

That's interesting because quite many NTFS-3G users complain to us developers about Nautilus moving deleted files to the .Trash-username' directory in the root of the NTFS volume they are not aware of: http://www.ntfs-3g.org/support.html#diskspace

Given that many people are confused in either case, a reasonable default behavior seems to be

- asking for confirmation
- checkbox if the files should be permanently removed or moved to a __specified__ trashbin
- potentially a checkbox if user wants the same confirmation windows in the future

KWolf (arctos) wrote :

This is irritating to me, I wish it would include a working toggle to enable a dialog warning when deleting files.

At least remove the part in the checkbox description under nautilus prefs that says "or deleting files" since it doesn't work.

Someone fix this please :)

Changed in nautilus:
status: Confirmed → Triaged
Boris Burtin (boris-burtin) wrote :

Another vote for this one. I'm a pretty advanced user, and spent 5 minutes today looking for files that disappeared after I misclicked. Nautilus should definitely offer the option to confirm before moving or deleting. Displaying the details of the operation in the status bar would also be helpful ("moved/deleted these files from dir1 to dir2").

Fred (eldmannen+launchpad) wrote :

I agree!

It should ask for confirmation before it deletes files!

People can accidentally press 'delete' and delete files accidentally without even realizing it, that is dangerous!

With lots of file in trash, people don't inspect all, and just click 'Empty Trash'.

New users, if they expect to see confirmation dialog, and they don't, they can panic.

"Importance: Low?" This is peoples data at risk here!

Fix this ASAP!

Fred (eldmannen+launchpad) wrote :

This is very dangerous!

We are talking about users data and important data here!
This should always be handled with care!

Please, fix this!

Nautilus SHOULD warn!

Sebastien Bacher (seb128) wrote :

you will not convince people by repeting the same comments, you are welcome to work on the issue, there is thousand of bugs and a small team working on those

Changed in nautilus:
status: New → Confirmed
Florin Oprea (z80ldir) wrote :

Please take a look at my keyboard. My delete key is near the up arrow key so I delete accidentally many files.
I reported this to <email address hidden> but the answer was:
"because this is not windows, and because you can always go to the trash bin and undelete it again. :-)"
1. This is not windows but files goes without warning or confirmation into Trash and there is no restore action so everything to go in the right place. If you delete a file and you don't remember the right location there can be a problem.
2. The chance to wrote accidentally a delete command into console is smaller than pressing del key. So I think is very dangerous.
3. This is delete, no creating accidentally a new file or whatever. Is not so hard to implement an option ( [] confirm deleting files)

Please fix it... This behavior must be optionally. I want confirmation... I check option. Someone else don't want confirmation?... uncheck option. I don't like enforcements.

Regards.

This is a no brainer that most software developers figured out decades ago. I can't think of one legitimate reason that this should not be an option.

It's far to easy to make the mistake of moving a file/folder to the trash bin without noticing. There should be an option to confirm any delete or move to trash operation.

Aside from the fat finger mistakes, there is the occasional confusion about which window has focus that can lead to an unwanted move to trash.

dashton (dominic-ashton) wrote :

Any progress on this one?

I seem to be able to delete a folder from my Ubuntu file server by simply clicking the "delete" key. (When viewing the shared directory from my Ubuntu hardy desktop) This is really dangerous as (I don't believe) it goes into any kind of trash folder - the data is simply lost.

GG (giorgio-gilestro) wrote :

I feel this bug should have highest importance.

A friend had his cat walking over his keyboard resulting in the deletion of many files that he actually selected to copy them. There really should be a confirmation dialog preventing this from happening! It doesn't seem to be something that is hard to implement...

michaël (mr-michaelcox) wrote :

I'm actually of the other camp. I get frustrated having to lose time confirming every action I wish to perform. It makes me scream "Yes I wish to delete this file, why do you think I pressed delete in the first place?" at my screen. It makes me think back in horror to the days I used that fisherprice green-blue operating system.

If you press delete and clear the trash without looking which files you will be deleting, than sure you will be eventually loosing files and using computers is going to be "dangerous" for you. But people please, we have countless backup and versioning systems to save us from disaster. And the terror of cats can be overcome by locking your computer if you leave it unattended. Confirmation dialogs are just plain annoying.

Sebastien Bacher (seb128) wrote :

not nominating this bug that's not a new behaviour and in no way a stopper for intrepid

Zmaster (zmaster-adsl) wrote :

This is my patch (it's for SVN).
If "Ask before emptying the Trash or deleting files" is checked in Nautilus preferences it will show a confirmation dialog when trying to trash something. The dialog text needs to be translated, it will default to english.

I also posted this patch in Mailing List on Wed, 17 Dec 2008.

Francis Leboutte (f-leboutte) wrote :

This behaviour is really incredible. I can't believe this *** bug *** has to be discussed so lengthy and has not yet been fixed.
If you don't like to get a warning when deleting a file, you should just had to check the appropriate option to get rid of the warning.

aljos (aljos) wrote :

Has nautilus always been this way? I find it hard to believe that any file manager would not have this option available. I have been a konqueror user for a while and was hoping to get used to nautilus, but have come across many very basic issues like this one. I will be switching back to konqueror until this is fixed. This bug is far to risky for me.

Sebastien Bacher (seb128) wrote :

nautilus asks confirmation before deleting but not when moving to trash there is nothing destructive for your datas there

Cesar (cesar-astudillo) wrote :

My impression is that this "bug" was meant to be like it is right now. If the previous is true, then this discussion should not exist within this bug-reporting system. I can't convince myself that the developers of nautilus didn't think about it, since many other operative systems include this behavior.

The question will be then... why do they take this decision? I would really love to hear some arguments regarding this respect.

reading the comments, I found my self very impressed to see how people try to enforce others to use a system that doesn't ask for confirmation before deleting, while others beg for having a warning before removing a file. My opinion is that clearly a simple check box can avoid this disjunctive as the decision is left to the user of each system.

best regards

Tomer Shalev (shalev-tomer) wrote :

We should differentiating the two ways of sending a file to the trash bin - dragging and dropping, or pressing the Delete key.

In the case of drag'n'drop, it is not expected to confirm the file 'deletion'. This is the way it is done on MS Windows also.

In the case of pressing 'Delete', I believe it is expected (by default!) to confirm the file operation. It is reasonable to include an option to disable the confirmation, either by a system setting, or by a 'Don't ask again' check-box shown on the confirmation dialog (unchecked when shown).
File deletion confirmation when pressing 'Delete' is also used in MS Windows. I believe this is the expected behavior by the majority of users, especially new and inexperienced users. As said, more advanced users can disable this feature.

The facts are that users accidentally delete files by pressing 'Del' button, and sometimes they don't notice that, as the icon just disappears (is there any sound played by default?). Later, after emptying the recycle bin, they realize it is gone. Some users don't know they should look the disappeared files there...

> there is nothing destructive for your datas there
When a file is moved to the trash bin, the user considers it GONE. Not all users know to look for the files there, not all of them know they can restore it. Data should not be kept there, so being there means it is deleted. Moving it out from there is a restoration operation, not a normal arrangement of the user's data.

bon3fire (bon3fire) wrote :

>I'm actually of the other camp. I get frustrated having to lose time confirming every action I wish to perform. It makes me scream "Yes I wish to delete this file, why do you think I pressed delete in the first place?" at my screen. It makes me think back in horror to the days I used that fisherprice green-blue operating system.

Yes, true. I hate the Trash. I do not approve with this concept. If I want to delete, I press shift + del to delete the freakin file or i use rm WITHOUT the interactive option. I hate being asked for confirmation of things I know I want to do.
I do not put things in Trash, I delete.

Now if I happen to accidentially press delete, nautilus moves my files away without asking. I do not like that. My torrent folders just moved to the trash and my torrent app whined it could not access the anymore. I lose files because of this behaviour. Please appeal to the people in charge to put an OPTION there where you can disable the trash OR just put a bloody confirmation dialog there.

The del key is just tooo much in reach to be accidentially pressed. Ubuntu gets more and more "user friendly" with every release, why not put that there, too.

druido77 (druido77) wrote :

I have accidentally pressed the delete key... and I HAVE LOST my data because I have not looked for disappeared icon 2 days ago!!! I don't know that gnome put this files directly to the Recycle Bin... because when I delete a file with the right click of the mouse Gnome tell me "are you sure?" and this is the correct behaviour!!
The rules "ask for deleting" is clear... ASK ASK ASK... why Gnome does not ASK if I will that Gnome MUST ASK???????
FIX this (really simple and stupid) bug please!!!

Changed in nautilus:
status: Confirmed → Won't Fix
Sebastien Bacher (seb128) wrote :

upstream disagree that's a bug, they have a point you can restore things moved in the trash easily and adding confirmation dialogs is rather annoying than useful in most of the cases

Tomer Shalev (shalev-tomer) wrote :

> upstream disagree that's a bug, they have a point you can restore things moved in the trash easily and adding confirmation dialogs is rather annoying than useful in most of the cases

Are you serious?! Any other desktop environment (Windows / KDE) asks. This is what the user expects!
Feels like riding a sport car without brakes...

Chris Coulson (chrisccoulson) wrote :

> Are you serious?! Any other desktop environment (Windows / KDE) asks. This is what the user expects!
> Feels like riding a sport car without brakes...

That doesn't mean it is correct though. A confirmation dialog for moving to trash would be intrusive. The trash is there to cover you in the event you accidentally delete a file. If people want a dialog, then we should just get rid of the trash entirely, as it would be completely redundant.

Perhaps we could have one of those yellow message bars that some
applications use, to tell you you deleted a file and providing a
button to cancel it? It is less intrusive and still provides a clue
about what happened and a way to undo it.

On Mon, Apr 20, 2009 at 6:25 AM, Chris Coulson
<email address hidden> wrote:
>> Are you serious?! Any other desktop environment (Windows / KDE) asks. This is what the user expects!
>> Feels like riding a sport car without brakes...
>
> That doesn't mean it is correct though. A confirmation dialog for moving
> to trash would be intrusive. The trash is there to cover you in the
> event you accidentally delete a file. If people want a dialog, then we
> should just get rid of the trash entirely, as it would be completely
> redundant.
>
> --
> Delete file in Nautlus - no warning
> https://bugs.launchpad.net/bugs/95853
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Nautilus: Won't Fix
> Status in “nautilus” source package in Ubuntu: Triaged
>
> Bug description:
> Binary package hint: nautilus
>
> SUMMARY
>
> If a file or a folder is selected in Nautilus and you accidently press Delete button, they are moved to the Trash.
>
> NO warning is issued (even though in Nautilus Preferences "Ask before emptying the Trash or deleting files" is selected )
>
> Very annying and dangerious bug to a common user - I deleted very important data without realising then cleaned the Trash, so lost that information.
>
> NOTES
>
> For example, Konquerer asks you if you want to delete a file or a folder.
>
> ProblemType: Bug
> Architecture: i386
> Date: Sun Mar 25 11:36:22 2007
> DistroRelease: Ubuntu 7.04
> Uname: Linux acer 2.6.20-12-generic #2 SMP Wed Mar 21 20:55:46 UTC 2007 i686 GNU/Linux
>

This is rather disappointing. First of all, we don't need notification bars, or fancy things to tell us we "accidentally" deleted something. Second of all, why is upstream so determined to change the mindset of the users?

This is really simple, add a small option somewhere in the settings (it's not like there are an overwhelming amount of options already). "Prompt for confirmation when sending a file to trash". Put a little check box next to it. Heck, you don't even have to make it checked by default. How hard is this? I can think of no easier solution to something that a large group of people consider a problem.

Sadly, my words are wasted. I was growing fond of Gnome's simplicity, but this mindset has convinced me that the Gnome camp is not where i want to be... and even not where the majority of my customers want to be. This single item is actually large enough to switch them all over to KDE.

Yes, i know i can use Konqueror or Dolphin in Gnome... but they're just not seemless.

Good night, and have fun with your ultra user friendly GUIs that confound the masses.

Sebastien Bacher (seb128) wrote :

not sure why you consider not asking confirmation for actions as something confusing, do you want a dialog "you choose to cut a file are you sure" to be displayed when doing ctrl-X too? and a confirmation "you are going to move those files there" when doing a drag and drop somewhere too?

aljos (aljos) wrote :

I never said it was confusing.
Using ctrl-x and ctrl-v needs no confirmation (though feel free to make it an option), and i don't think i need to explain why.
Konqueror by default (at least the version i'm using) actually asks you if you want to move, copy, or link a file every time you drag and drop one. This is of course configurable.

Saha (smirta) wrote :

This is a bug because if there is an option "Prompt for confirmation when sending a file to trash" it MUST work!

Christian Weber (we-chris) wrote :

What's the problem in making it an option? So everyone will be satisfied.
I need definitely a confirmation dialog, because every now and then I accidentally hit the del key without noticing.

GG (giorgio-gilestro) wrote :

I swear I am having the hardest time understanding those who oppose this.
There is already a checkbox to ask the user whether they want a confirmation dialog for real delete.
What is the big deal in having another checkbox to ask whether they want a confirmation upon move to trash???
It's 10 lines of code, for chris sake!
You don't want no confirmation dialog? You leave unchanged and your life is the same.

I did loose some files just because I hit the delete key accidentally(reads: *without even noticing I did*). How useful is the trashbin when it contains things that you are not even aware are inside? You empty your trashbin and voila, your data are gone! This is incredible.

Sky (omgee) wrote :

After losing my entire movie collection due to an accidental deletion (how was I supposed to know half my hard drive was in the trash can when I emptied it?), the lack of a confirmation option may well be enough to get me to move back to Windows. It is absolutely absurd to me that an operating system as powerful and flexible as Ubuntu won't even give me the *option* to request a dialogue box before deleting items with one keystroke.

I'm a huge fan of Linux, but this is probably a deal-breaker for me -- especially since this is a feature that's been requested for years from many users and still has not been implemented. If I can't find a workaround for this, I'll be forced back to Windows, because I simply do not have the time to continually restore all of my files from backup due to one accidental keystroke.

Sebastien Bacher (seb128) wrote :

could people stop adding such comments there, you are only spamming people subscribed to the bug, you should discuss the change on bugzilla if you want to convince the code writters, ubuntu only distribute the option, and one could think that checking what is in the trash before emptying it would make sense

Martin Albisetti (beuno) on 2009-06-22
Changed in hundredpapercuts:
status: New → Confirmed

Marking this as High importance because it deserves some user testing to determine the appropriate solution.

Changed in hundredpapercuts:
importance: Undecided → High
milestone: none → round-7

Just putting in my 2 cents: Wouter's suggested idea is a fantastic compromise. It allows power users to keep using the delete key without being interrupted by having to confirm an action, but things that are accidentally trashed can be quickly and easily un-done. It'll be interesting to see what the user testing shows.

>Perhaps we could have one of those yellow message bars that some
>applications use, to tell you you deleted a file and providing a
>button to cancel it? It is less intrusive and still provides a clue
>about what happened and a way to undo it."

Holger Berndt (berndth) wrote :

I think Nautilus' behaviour is correct. The behaviour is by design, and the "confirm_trash" option is doing what it is supposed to do: Request confirmation for the non-revertable actions "Delete Trash" and "Delete files", but not for the revertable "Move to trash". And guys, please stop speaking for "the users" - 10 vocal guys on a bug tracker don't represent a majority of users.

That being said, I agree that a cluebar with an "Undo" button might be a useful _enhancement_ to Nautilus.

But this whole discussion also has a downside. Nautilus is not the only program which can move files to the trash, so that option would either make the desktop more inconsistent, or it would have to be implemented in all applications that can send files to the trash.

There might be another option: It's easy to monitor the trash, and act upon trash-related events, no matter which application caused it (Python code for having notification bubbles on trashing stuff would probably not be longer than this very post). So this feature would maybe better be implemented outside Nautilus.

Of course, there is already an application that does exactly this: The trash applet. So one possible solution would be to provide an option to make this one more noisy, and maybe provide a trashing-diary with undo buttons.

Martin Marek (76house) wrote :

>I think Nautilus' behaviour is correct. The behaviour is by design, and the "confirm_trash"
>option is doing what it is supposed to do: Request confirmation for the non-revertable actions
>"Delete Trash" and "Delete files", but not for the revertable "Move to trash".

Despite I have different opinion, I accept the Nautilus authors' decision. I just wonder if the requested behavior can be reached e.g. by some plugin.

>That being said, I agree that a cluebar with an "Undo" button might be a useful _enhancement_ to Nautilus.

I can also imagine such a solution - not obtrusive, but giving sufficient visual feedback to the user, with a possibility to revert the action. Just to find find proper look and feel...

>Python code for having notification bubbles...

Concerning some system-wide notification, I would be careful here. With the new notification system in jaunty, I can feel "inflation of notification" a bit as many apps still notify something (IM events, music player, incoming email...)

kenden (kenden) on 2009-06-24
summary: - Delete file in Nautlus - no warning
+ Add confirmation dialog before deleting files in Nautilus
summary: - Add confirmation dialog before deleting files in Nautilus
+ Add an option to get a confirmation dialog before deleting files in
+ Nautilus
Changed in hundredpapercuts:
milestone: round-7 → none
status: Confirmed → Invalid
29 comments hidden view all 109 comments

aljos, I see a proposal to add an option, which would not affect the default experience of Ubuntu unless that option were activated. I see no user data showing that a confirmation dialog before moving to trash would improve user experience. I don't doubt that it would, but we can't make large (it terms of exposure to users) changes like this ad hoc. The Trash feature itself is a form of confirmation. Please don't be dumfounded -- if you think this is a paper cut, prove me wrong. Do some user testing, report your findings, and summarize the change. If the change is to show a confirmation dialog, specify what it should say, what buttons should it have?

The conversation is already going on upstream, so I don't see the advantage of having the same discussion in parallel here.

jpcote (jp-cotegraphiste) wrote :

Can't believe this is not fixed. By not fixing this right away you are giving so much arguments to new users to run away. I can't explain we don't have to choice between a question before deleting or not. My mother in law is having a new computer on Ubuntu for the first time and because of this little detail not fixed I am affraid she will lose important document. She just don't understand what going on and being affraid of every button is not a great way of learning. We are not all teenagers that has a computer only to learn the system, like I was few years ago. Make this system grow up please if we want this system being more than the exception.

Changed in nautilus (Ubuntu):
status: Triaged → Invalid
GG (giorgio-gilestro) wrote :

I made a patch that will fix this by adding a new option to the preference menu. The option is FALSE by default, meaning that default behavior is for things to stay as they are. All those who want to be notified before moving stuff to the trash just check it true.
Hopefully it will be committed at some point.

aljos (aljos) wrote :

GG... You are awesome! Thank you so much. This is all that was needed to fix this problem, and as you said, by default it will change nothing.

Please commit this!

korvins (katarata) wrote :

I think this should be on by default... and I still do not see the point of NOT asking novice users if they are sure to delete a document... It is the one of the most dangerous thing you can do on a computer.

You removed control+Alt+backspace behaviour (which is great to remove it) and I think we should do the same with delete without asking, specially when coming from the keyboard.

Sebastien Bacher (seb128) wrote :

Thank you for your work, could you send the change to GNOME for review?

nomnex (nomnex) wrote :

winning, winning, and praising... for details...

FN keys not working on most of the notebooks; hardware compatibility; real software bugs, etc. there are serious issues out there with Ubuntu. those should be the "paper cut" bugs: hardware compatibility and usability.

such feedback on a thread from a bunch or crybabies winning about "will my stuff be deleted if I push a key, or can I have zillion warnings before anything happens..."

are you in a religious quest or something for pushing it so hard? Gnome is simple, light. use KDE if you look for bloat, or go back to Windows. Or even better, ask for your mom before pushing your DELETE key. and if she is already dead, out of confusion, hang yourself.

Joel Pickett (jpickett) wrote :

nomnex, I think you're getting one confirmation confused with a zillion.

kikl (kilian-klaiber) wrote :

Well, you already get a confirmation if you want to delete the trash-bin. So you are asking for two confirmations instead of one. The question is: If one confirmation does not prevent you from deleting the trash, why should a second confirmation make a difference? IMHO it doesn't. It's just bloat.

But, I don't object to the way it's supposed to be implemented. It's an additional option. The default behaviour isn't changed. So you can enable it if you like joel.

Finally, I agree with nomnex - although he could have been a little more polite - this issues has been completely overblown and is not very important. Ubuntu folks should not wast any more time with this topic.

nomnex (nomnex) wrote :

I am extrapolating. but whatever, when people open a bug/comment, asking "can you fix the problem" while there is no problem, but these people themselves, they should be turned down.

I welcome usability to some extend, eg. automount a USB drive, vs. opening the prompt to mount the volume, but this thread is not about usability, is about stupidity (and winning).

Today there is a request for this, and tomorrow for that. ++ code, ++ bloat, ++ actions/settings and -- usability.

The imbeciles should voice up their stupidity on commercial software boards. Windows or Mac are especially designed for them, welcome them and listen to them. Here is a perfect cretins tool http://www.symantec.com/norton/ghost (~200 MB) on Windows.

Just wondering, the day (if) the very same people try "rsync", they will probably open new bugs to request all sorts of warnings, ha-ha!

Vish (vish) wrote :

@nomnex : To maintain a respectful atmosphere, please follow the code of conduct - http://www.ubuntu.com/community/conduct/ . This bug isnt part of the papercuts , nor does nautilus upstream want to fix this either . Hence it is marked upstream as 'wont fix"
You might not agree with the bug report or its intentions , but there is no need to be rude.

nomnex (nomnex) wrote :

@mac_v. thanks to clarify.

side-note: it did occurred to my mind calling imbeciles imbeciles was rude, sorry about it ;-)

nomnex (nomnex) wrote :

oups, typo!

Edit: it did "not" occurred to my mind, etcetera.

Druciferre (drewchapin) wrote :

It bothers me that no one wants to fix this. It would seem more logical to me that deletion of a file via the delete key needs more confirmation than deleting with the mouse.

If you delete with the mouse that requires two clicks and mouse movement. It's pretty intentional...
If you delete with the delete key, all it requires a file to be selected and hitting the delete key. There is a lot of opportunity here for accidental deletion. Say you just finished opening a file and then something fell on your keyboard and pressed the delete key. File is gone, and you might not even know it. Or say you meant to press the End key to go the last file and you pressed delete...

On Fri, 2010-04-30 at 07:20 +0000, Druciferre wrote:
> It bothers me that no one wants to fix this. It would seem more logical

This is not a bug, so there is nothing to fix. the Del key sends your
files in the trash, they are not gone. the command $ rm does remove the
files from your system, so you rather use it with the switch (-i or -I).
Now, if you don't know what you are deleting or how, you'd better be off
using an OS for average cretins like Windoze or OSX. I find so boring
people asking for even more unnecessary warnings to excuse their own
carelessness.

nomnex, I do not appreciate your attitude, assumptions that I am novice user, and implication that I do not know how to use the rm command.

My point is that the warnings in place are the unnecessary ones and that ones that ought to be necessary are what is being debated. Deleting a file with the cursor is clear and deliberate. It requires too many actions for it not it be. Pressing the delete key is not always a deliberate action. How often do you hit A when you meant to hit S? Most people read context menu items before clicking them, even expert users. Most people do NOT read the keys on their keyboard before hitting them, ESPECIALLY expert users.

Also, I don't see why you feel the need to reiterate the file goes to the trash? This has been clarified quite clearly in previous posts. Regardless of where the file goes, with no confirmation on pressing the delete key, there is much greater potential you don't know the file has been removed, and then if you empty the trash, the file IS gone. Are you saying you want everyone to look over EVERY single file in their trash before emptying it?

My overall point is that I don't understand why this is even a debate. Developers are acting like it's a major overall to add an if statement with a message box.

Druciferre (drewchapin) wrote :

*overhaul

jce (jceatwell) wrote :

this is not a bug though myself and many other users really feel that there needs to be a confirmation for the delete action (well at least an option to turn it on - before the file(s) are moved to trash). whilst most people are arguing that they are content with a confirmation on delete of the trash bin, my argument is that if i have already confirmed the file deleted in trash why would i ask for a delete out of trash.

when you throw away a piece of paper you don't hunt through your garbage checking everything, you just throw it out. though i'm positive you think before throwing it out in the first place.

can't this just be resolved with a simple added check-box for confirmation of delete before moving to trash? please

On Fri, 2010-04-30 at 08:29 +0000, Druciferre wrote:
> nomnex, I do not appreciate your attitude, assumptions that I am novice
> user, and implication that I do not know how to use the rm command.
>
> My point is that the warnings in place are the unnecessary ones and that
> ones that ought to be necessary are what is being debated.

What are you talking about? Del means just MOVE your files to another
directory called Trash. Trash is a directory in you /home along other
directories. When you actually remove files from your system (i.e. you
empty the trash) you will have a WARNING message (default). What else do
you need??

All the people whining along this thread have the misconception of
over-protective OS with redundant features. They just can't get it
right.

Now look at the bug status: WON'T FIX

nomnex (nomnex) wrote :

On second though, what some of you ask in this thread is a confirmation
to MOVE files and that's wrong.

We can do without warning confirmation for moving or copying files can't
we? You have one warning when you actually REMOVE files from you system
and that's appropriate.

And it goes without saying that one needs to manage its Trash
directory's content as any other directory.

Hope that ease the grief?

I am sorry, but I got tired of this thread. Who do I close the bug (I am the originator)?

I am a happy cretin user of Windows (yes, nomnex, you give very bad impression of Linux users, unlike people in Ubuntu forums), so I do some cretin stuff like Silverlight 4 development, VLDB processing and AD management - without any issues.

Specific tools for specific uses...

On Fri, 2010-04-30 at 12:55 +0000, Andrei Drynov wrote:
> I am sorry, but I got tired of this thread. Who do I close the bug (I
> am
> the originator)?
>
> I am a happy cretin user of Windows (yes, nomnex, you give very bad
> impression of Linux users, unlike people in Ubuntu forums), so I do
> some
> cretin stuff like Silverlight 4 development, VLDB processing and AD
> management - without any issues.
>
> Specific tools for specific uses...

Oh, you want to humor me. Go head.

Bugs don't close -- this is not a thread on the Ubuntu forum. See the
wiki https://wiki.ubuntu.com/Bugs/Status to have some insight about the
bug status.

As for for Silverlight it is indeed just another MS cretin stuff to,
once again, attempt to impose a proprietary format no one--the normal
people--will ever care about. Microsoft is the bug number 1 on Launchpad
Ubuntu, see: https://launchpad.net/ubuntu/+bug/1. I don't really know
why you bring this here? Go post about you skills on a MS board.

Give a very bad impression of Linux users? No way. I am always glad to
help other Linux users and to get help. What makes you think such thing?

I have put in perspective the difference between "MOVE" and "DELETE from
the system". Obviously some (insecure) ex-MS fan boys still do not catch
the difference very well, hence the whining. But that's part of the
learning curve. Linux needs commitment.

PS: Tired? Nothing holds you to un-subscribe.

Bye

When an interface makes something too easy to do, it often causes arguments like this one. One group of people gets frustrated that they keep doing the thing by mistake. And another group of people -- for whom "too easy" seems like an oxymoron -- can't believe that the first group are making the mistake, so they resort to unhelpful insults. (I know this because I was once in the second group, arguing against people who complained that Mozilla's Ctrl+Enter keyboard combo made it too easy to send an e-mail message by mistake.)

Adding a confirmation alert is one way to make something more difficult to do, but it is the most crass way. A much simpler solution would be to change the keyboard combo for sending something to the trash, so that it requires two keys rather than one.

Alexander Fieroch (fieroch) wrote :

@#92: That's what I said in #60 with my last sentence too:
change the combo to something like CTRL+m to prevent a shortcut that can be hit by accident with a single key and to show it's not a deleting but a moving operation.

Leeq (leekyuh) wrote :

To some people who think "Delete" is just a "Move to Trash bin":
Suppose that you have 1500+ items in your trash bin. You pressed DEL without noticing which file it was.
Objectively speaking, do you still think it is a reasonable behavior?
You'll understand how irritating this is if you commit and feel the pain. (As I did just now on a Lucid 32bit Desktop.)
If one wants to "Move" to the "Trash bin", he will simply drag and drop it to the waste bin.

I'm not saying they are "short-sighted", but it would be really nice to consider other people's view and think what could be the possible outcomes if not fixed.
And who simply says "because it is Not Windows" does not seem to be logical answer to me - just emotional.

As you could see from the above example, confirmation dialogue should be quite "practical" for many people, especially for people who want to move to the Linux world from Windows.

If it makes Ubuntu better, why not accept and fix it?
People who don't like this functionality could simply turn it off.
No loser, isn't it?

Holger Berndt (berndth) wrote :

> Suppose that you have 1500+ items in your trash bin.
> You pressed DEL without noticing which file it was.

A warning for every single move-to-trash operation to "fix" this problematic usecase is implementing a cruel workaround instead of fixing the issues (in this case trash view usability). In fact, current Nautilus git master has "trashed-on" column in list view, and (irrespective of the view) sorts the trashcan by reversed deletion date by default. So, the question "Which file did I just delete" is pretty simple to answer, no matter how many million files you have in your trashcan: It's the topmost.

I don't understand the ongoing "holy war" at all. Why can't the confirmation dialog be optional. Those who want it, will turn it on, and those who don't want it will turn it off. Problem solved and everyone's happy.

Jon White (molip) wrote :

Holger Berndt wrote:
> the question "Which file did I just delete" is pretty simple to answer, no matter how many million files you have in your trashcan: It's the topmost.

How is it the topmost? The Wastebasket has no way to sort by deleted date. If it did, then this improvement would be a lot less urgent, IMHO.

Holger Berndt (berndth) wrote :

> The Wastebasket has no way to sort by deleted date.
> If it did, then this improvement would be a lot less urgent, IMHO

Please read what I wrote. Quoting myself:
"In fact, current Nautilus git master has "trashed-on" column in list view, and (irrespective of the view) sorts the trashcan by reversed deletion date by default".

So, as it landed in git master, it will be in one of the next releases.

David Tombs (dgtombs) wrote :

Good news, the "trashed on" column will be in maverick: bug 301552.

Changed in nautilus:
importance: Unknown → Wishlist
dopey (dopey-mailinator) wrote :

I don't know why it is not implemented.
Come on, it's no big deal : it's 20 lines of code, something like this ! look at the proposed patch.

It's just an preference. It will harm noone, you can disable it or enable it.... all file manager do it...

agofay (agofay) wrote :

After several years asking/waiting for the implementation of an option like ¨Prompt before send Files or Folder to trash¨ I´m almost near to left gnome, it´s my favorite but many people needs this a simple option easy to implement.
If developers does n´t want to do ... well .. we just resign or ...
If someone knows how or who can do this behavior (please let me know) I´m disposed to pay for that, please, someone who ask to nautilus developers how much cost implement this option and I will pay for that. If it is very expensive, I hope other users help me to pay.

Other option is to help to programming it, with a correct guide I´l be able to do it.

Maybe they can say again ¨this is how nautilus works, will not be changed¨ ... if so... then sadly I´l be pushed to move to other desktop/distro (Maybe W***) :(

Thanks

Paul Sladen (sladen) wrote :

agofry:

  1. Run 'gconf-editor'
  2. Navigate to apps/nautilus/preferences
  3. Ensure "confirm_trash" is ticked.

Chris Wilson (notgary) on 2011-01-28
Changed in hundredpapercuts:
importance: High → Low

Thanks Paul. There is already an option for that in the Nautilus GUI:
Edit > Preferences > Behavior: Ask before emptying the trash or deleting files..

This bug is actually about getting an option to warn the user before sending files to the trash.
I'll update the title of the bug.

summary: - Add an option to get a confirmation dialog before deleting files in
- Nautilus
+ Add an option to get a confirmation dialog before sending files to the
+ trash in Nautilus
Chris Wilson (notgary) on 2011-01-28
Changed in hundredpapercuts:
importance: Low → Wishlist

After 103 comments, I don't know why I am compelled to jump in. OCD, I guess.

In pseuocode:

  IF NOT Options.Behavior.ComfirmMoveToTrash.Checked OR Confirm("OK to move <filename> to trash?") THEN
     MoveToTrash

This is bloat? Seriously?

I detest Windows. I'm convinced that Microsoft is the company Dilbert works for. I tell all my friends how wonderful Linux is, and what an easy path to Linux Ubuntu is. But then I have to add: "It's still a little geeky around the edges. For instance, if you accidentally hit delete, it will move files and even whole folders to the trash without asking--but don't worry you can get them back. But the trash can isn't where you expect it to be. It's down here..."

True, one of the things I love about Linux is that it runs fast on cheap hardware and I suppose bazillions of confirmations could add up to bloat, eventually, but you'd have to work hard to overtake Moore's law. I fact, I think you'd have to make it a priority.

Maybe an even cheaper fix would be to put the trash bin on the desktop by default. That's where refugees from Windows expect to see it. Since Ubuntu is positioning itself as the gateway to Linux, the option could be set by Ubuntu's installation. This behavior is alarming only because the Delete key says "Delete," not "Move" and because a new user might not notice the trash bin hiding out on the bottom panel, but if the trash bin was highly visible, that should solve it.

GG (giorgio-gilestro) wrote :

I submitted a patch to solve this issue back in 2009 (see comment #72). It's depressing to see that it has not been taken into account despite lots of people really want this.

Paul Sladen (sladen) wrote :

GG: please could you re-make the patch as a unified diff ("diff -u old new") and we'll see whether we can help get this upstream. I'm sorry that it was missed for so long. It would be useful if you could give a quick outline of why/how this interacts with the current schema that can be overridden with:

  1. Run 'gconf-editor'
  2. Navigate to apps/nautilus/preferences
  3. Ensure "confirm_trash" is ticked.

GG (giorgio-gilestro) wrote :

Paul: the attached file will patch correctly against nautilus 2.32.2.1

The current schema you are referring to has nothing to do with this bug. The confirm_trash boolean value will ask user a confirmation before emptying the trashbin or before deleting files without passing through the trash first.
Bug #95853 is about having a confirmation when you move files to the trash (mainly because if you hit the delete key on your keyboard without noticing it you will lose stuff).

My patch adds a new schema variable in apps/nautilus/confirm_movetotrash and that will let the user decide whether they will have a confirmation prompt or not.

Sebastien Bacher (seb128) wrote :

thanks for your work there but the issue is not that your patch is wrong but that having inconsistant behaviours between installations and such options in the ui is not really the way to go

Changed in nautilus (Ubuntu):
assignee: Ubuntu Desktop Bugs (desktop-bugs) → nobody
GG (giorgio-gilestro) wrote :

Sebastien,

If all installations were to ship exactly the same stuff, there would be no point using one or the other, don't you think?
Anyway, I just sent the patch upstream and let's see what they say. In my case, I don't really care anymore cause I switched to archlinux about 3 years ago and I am using my own patched version of nautilus-elementary.

Paul Sladen (sladen) on 2011-03-14
description: updated
summary: - Add an option to get a confirmation dialog before sending files to the
- trash in Nautilus
+ Nautilus: too easy to move files/folders to Trash (single key press of
+ "Delete")
description: updated
tags: added: needs-design
Paul Sladen (sladen) on 2011-03-14
description: updated
Paul Sladen (sladen) on 2011-03-14
description: updated
Chris Wilson (notgary) on 2013-02-11
no longer affects: hundredpapercuts
Displaying first 40 and last 40 comments. View all 109 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions

Bug attachments

Remote bug watches

Bug watches keep track of this bug in other bug trackers.